'''
Presently for MySQL
'''
import mysql.connector

from secrets import database_connection_secrets

connection_config = database_connection_secrets.copy()
connection_config.update({ # for mysql.connector
    'charset': 'utf8',
    'use_unicode': True,
    'get_warnings': True,
})

class DBOpen:
    def __init__(self, config):
        self.config = config.copy()
    def __enter__(self):
        self.cnx = mysql.connector.Connect(**self.config)
        return self.cnx
    def __exit__(self, exc_type, exc_value, exc_tb):
        self.cnx.close()
